//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TripleA.DataAccess
{
    using System;
    using System.Collections.Generic;
    
    public partial class cat_clientes
    {
        public int id_cat_clientes { get; set; }
        public string codigo { get; set; }
        public string nombre { get; set; }
        public string identidad { get; set; }
        public string tipo_cliente { get; set; }
        public string cuenta_contable { get; set; }
        public string telefono { get; set; }
        public string celular { get; set; }
        public string fax { get; set; }
        public string email { get; set; }
        public Nullable<decimal> limite_credito { get; set; }
        public Nullable<int> dias_credito { get; set; }
        public Nullable<bool> activo { get; set; }
        public Nullable<decimal> comision_venta { get; set; }
        public string propietario { get; set; }
        public string propietario_telefono { get; set; }
        public string propietario_correo { get; set; }
        public string propietario_movil { get; set; }
        public string pagos { get; set; }
        public string pagos_telefono { get; set; }
        public string pagos_correo { get; set; }
        public string pagos_movil { get; set; }
        public string compras { get; set; }
        public string compras_email { get; set; }
        public string compras_telefono { get; set; }
        public string compras_movil { get; set; }
        public Nullable<System.DateTime> fecha_nacimiento { get; set; }
        public Nullable<int> id_cat_monedas { get; set; }
        public string tipo_precio { get; set; }
        public string direccion { get; set; }
        public string rtn { get; set; }
        public Nullable<System.DateTime> fecha_creacion { get; set; }
        public Nullable<int> id_precios_especial { get; set; }
        public Nullable<bool> ischeques { get; set; }
        public Nullable<bool> iselectronica { get; set; }
        public Nullable<bool> isbancaria { get; set; }
        public Nullable<bool> isefectivo { get; set; }
        public Nullable<bool> islunes { get; set; }
        public Nullable<bool> ismartes { get; set; }
        public Nullable<bool> ismiercoles { get; set; }
        public Nullable<bool> isjueves { get; set; }
        public Nullable<bool> isviernes { get; set; }
        public Nullable<bool> issabado { get; set; }
        public Nullable<bool> isdomingo { get; set; }
        public string categoria_cliente { get; set; }
        public decimal monto_puntos { get; set; }
        public System.DateTime fecha_venc_puntos { get; set; }
        public string hora_pago { get; set; }
        public string codigo_tienda { get; set; }
        public Nullable<bool> is_motorista_taxi { get; set; }
        public Nullable<bool> membresia_puntos { get; set; }
        public string telefono1 { get; set; }
        public string telefono2 { get; set; }
        public Nullable<bool> is_socio_negocio_relacionado { get; set; }
        public string tipo_socio_negocio { get; set; }
        public Nullable<int> dia_limite_credito { get; set; }
        public Nullable<int> id_cat_categorias_socio_negocios { get; set; }
        public Nullable<int> id_cat_condiciones_pagos { get; set; }
        public Nullable<bool> registrooffline { get; set; }
        public Nullable<bool> descuento_cliente_credito { get; set; }
        public Nullable<bool> comisionista { get; set; }
        public Nullable<int> dias_credito_ajustado { get; set; }
        public Nullable<bool> puntos_facturas_vencidas { get; set; }
        public string cadena_id_cat_tiendas { get; set; }
        public Nullable<bool> maximo_comision { get; set; }
        public Nullable<bool> aplica_expedito { get; set; }
        public Nullable<decimal> maximo_expedito { get; set; }
        public Nullable<decimal> descuento_cliente { get; set; }
        public Nullable<int> id_cat_combos_clientes { get; set; }
        public Nullable<decimal> meta_mensual { get; set; }
        public Nullable<bool> is_mp4p { get; set; }
    }
}
